.sidebar {
    top: rem(56);
    right: 0;
    bottom: 0;
    z-index: 600;
    color: #ededed;
    position: fixed;
    background: $brown;
    width: 100%;
    transform: translateX(100vw);
    transition: .3s;
    overflow-y: auto;
    display: flex;
    flex-direction: column;

    &__scroll {
        flex-grow: 1;
    }

    &__header {
        display: none;
        flex-shrink: 0;
    }

    &__main {
        flex-grow: 1;
        position: relative;
    }

    &__footer {
        height: 200px;
        flex-shrink: 0;
        padding-top: rem(30);
        background: url("../img/sidebar_footer_bg.png") 0 0 no-repeat;
        background-size: 100% auto;
    }

    &__container {
        padding-left: rem(40);
        padding-right: rem(40);
    }

    &__contact {
        padding: rem(24) rem(20) 0 0;
    }

    &__button {
        width: rem(224);
        margin: 0 auto;

        .btn {
            width: 100%;
        }
    }

    &__collapse {
        display: none;
    }

    @include media-breakpoint-up(sm) {
        width: rem(320);
        transform: translateX(330px);
    }

    @include media-breakpoint-up(md) {

        &__contact {

        }

        &__footer {
            background-size: auto auto;
        }
    }

    @include media-breakpoint-up(xl) {
        top: 0;
        left: 0;
        right: auto;
        width: auto;
        transform: translateX(0);
        overflow-y: visible;
        display: block;
        transition: .3s;

        &__scroll {
            height: 100vh;
            width: rem(270);
            transition: .3s;
        }

        &__body {
            min-height: 100vh;
            display: flex;
            flex-direction: column;
        }

        &__container {
            padding-left: rem(25);
            padding-right: rem(15);
        }

        &__header {
            height: 105px;
            display: flex;
            justify-content: center;
            padding-top: 24px;
            background: url("../img/sidebar_header_bg.png") 50% 100% no-repeat;
            background-size: cover;
        }

        &__logo {
            height: 40px;
            font-size: 0;
            line-height: 0;
            display: inline-block;
            margin: 0 auto;
        }

        &__content {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            position: absolute;
        }

        &__inner {
            max-height: 100%;
        }

        &__collapse {
            top: 0;
            left: 100%;
            font-size: 0;
            line-height: 0;
            display: block;
            width: 60px;
            height: 60px;
            border: none;
            outline: none;
            position: fixed;
            background: #4d4d4d;
            border-radius: 0 0 6px 0;
            transition: .3s;

            &:after,
            &:before {
                z-index: 1;
                content: '';
                top: calc(50% - 1px);
                left: calc(50% - 12px);
                width: 24px;
                height: 2px;
                background: $white;
                position: absolute;
            }

            &:after {
                transform: rotate(-45deg);
            }

            &:before {
                transform: rotate(45deg);
            }
        }

        .simplebar-scrollbar {
            opacity: 0;
        }

        &:hover {

            .simplebar-scrollbar {
                opacity: 1;
            }
        }
    }

    @include media-breakpoint-up(xxl) {

        &__scroll {
            width: rem(320);
        }

        &__container {
            padding-left: rem(34);
        }
    }
}

.sidebar-info {
    color: #ededed;
    font-size: rem(16);
    line-height: rem(22);

    &__group {

        &:not(:last-child) {
            margin-bottom: rem(15);
        }
    }

    &__title {
        color: $red;
        font-weight: 700;
        font-size: rem(15);
        line-height: rem(22);
        padding-left: rem(28);
        margin-bottom: rem(2);
        position: relative;
        text-shadow: 0px -1px 1px rgba(59, 59, 59, 1);

        &--worktime {

            &:before {
                top: 1px;
                left: 0;
                content: '';
                width: 21px;
                height: 21px;
                position: absolute;
                background: url("../img/icon__worktime.webp") 50% 50%;
            }
        }
    }

    &__content {
        margin: 0;
        list-style: none;
        padding: 0 0 0 rem(28);
    }
}


.sidebar-overlay {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 500;
    display: block;
    position: fixed;
    background: rgba(0,0,0,0.5);
    opacity: 0;
    visibility: hidden;
    transition: .3s;
    backdrop-filter: blur(5px);

    @include media-breakpoint-up(xl) {
        display: none;
    }
}

.sidebar-contact {
    padding: 0 0 0 rem(24);
    list-style: none;
    margin: 0 0 rem(20) 0;
    font-size: rem(20);
    line-height: rem(30);

    &__item {

        &:not(:last-child) {
        }
    }

    &__link {
        color: #ededed;
        position: relative;
        white-space: nowrap;
        display: inline-block;
        padding-left: rem(26);
        text-decoration: none;

        &:before {
            left: 0;
            top: calc(50% - 8px);
            content: '';
            width: 16px;
            height: 16px;
            display: block;
            position: absolute;
        }

        &:hover {
            color: #ededed;
            text-decoration: none;
        }

        &--phone {
            font-weight: 500;

            &:before {
                background: url("../img/icon__phone_call.webp") 50% 50% no-repeat;
            }
        }

        &--callback {

            &:before {
                background: url("../img/icon__phone_callback.webp") 50% 50% no-repeat;
            }

            span {
                border-bottom: 1px dashed #767676;
            }

            &:hover {

                span {
                    border-bottom-color: transparent;
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {
        padding-left: 0;
    }

    @include media-breakpoint-up(xxl) {
        padding-left: rem(20);
    }
}

.sidebar-social {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: rem(20);

    &__item {
        display: block;
        width: rem(40);
        height: rem(40);
        background-color: $white;
        background-position: 50% 50%;
        background-repeat: no-repeat;
        border-radius: 50%;
        flex-shrink: 0;
        transition: .3s;

        &--telegram {
            background-image: url("../img/icon__tg.webp");
        }

        &--whatsapp {
            background-image: url("../img/icon__whatsapp.webp");
        }

        &--zen {
            background-image: url("../img/icon__zen.webp");
        }

        &--vk {
            background-image: url("../img/icon__vk.webp");
        }

        &:hover {
            background-color: rgba(255, 255, 255, 0.8);
            transition: .3s;
        }

        &:not(:last-child) {
            margin-right: rem(20);
        }
    }

    @include media-breakpoint-up(xxl) {

    }
}

.sidenav {
    overflow: visible;
    font-weight: 500;
    font-size: rem(16);
    line-height: rem(24);
    padding: rem(26) 0 rem(30) rem(20);

    &__menu {
        margin: 0;
        padding: 0;
        list-style: none;

        &--child {
            overflow: hidden;
            max-height: 0;
            opacity: 0;
            will-change: max-height;
            transition: all 0.3s ease-out;

            .sidenav__link {
                padding-left: rem(77);

                &:before {
                    left: rem(45);
                }
            }
        }
    }

    &__item {
        position: relative;

        &:not(:last-child) {
            margin-bottom: rem(4);
        }

        &:hover {

            .sidenav__menu--child {
                display: block;
                opacity: 1;
            }
        }
    }

    &__link {
        fill: #ededed;
        color: #ededed;
        height: rem(30);
        padding-right: rem(25);
        padding-left: rem(57);
        position: relative;
        white-space: nowrap;
        display: flex;
        align-items: center;
        justify-content: space-between;
        text-decoration: none;

        &:before {
            left: rem(25);
            z-index: 1;
            content: '';
            position: absolute;
            background-repeat: no-repeat;
            background-image: url("../img/sprites/menu_sprite.png");
        }

        i {
            font-size: 0;
            line-height: 0;
            height: rem(20);
            flex-shrink: 0;
            margin-left: rem(6);
            display: inline-block;
            transform: rotate(90deg);
            transition: .3s;
        }

        &:hover {
            fill: #e16e69;
            color: #e16e69;
            text-decoration: none;
        }

        &--01 {

            &:before {
                width: 21px;
                height: 19px;
                top: calc(50% - 10px);
                background-position: 0px -86px;
            }

            &:hover {

                &:before {
                    background-position: -21px -86px;
                }
            }
        }

        &--02 {

            &:before {
                width: 21px;
                height: 17px;
                top: calc(50% - 9px);
                background-position: -21px -105px;
            }

            &:hover {

                &:before {
                    background-position: -84px -105px;
                }
            }
        }

        &--03 {

            &:before {
                width: 21px;
                height: 21px;
                top: calc(50% - 11px);
                background-position: -21px -44px;
            }

            &:hover {

                &:before {
                    background-position: -21px -65px;
                }
            }
        }

        &--04 {

            &:before {
                width: 21px;
                height: 21px;
                top: calc(50% - 11px);
                background-position: -42px -44px;
            }

            &:hover {

                &:before {
                    background-position: -42px -65px;
                }
            }
        }

        &--05 {

            &:before {
                width: 21px;
                height: 21px;
                top: calc(50% - 11px);
                background-position: -83px 0px;
            }

            &:hover {

                &:before {
                    background-position: -63px -65px;
                }
            }
        }

        &--06 {

            &:before {
                width: 21px;
                height: 18px;
                top: calc(50% - 9px);
                background-position: -42px -86px;
            }

            &:hover {

                &:before {
                    background-position: -63px -86px;
                }
            }
        }

        &--07 {

            &:before {
                width: 21px;
                height: 21px;
                top: calc(50% - 11px);
                background-position: -83px -21px;
            }

            &:hover {

                &:before {
                    background-position: -104px 0px;
                }
            }
        }

        &--08 {

            &:before {
                width: 21px;
                height: 21px;
                top: calc(50% - 11px);
                background-position: -83px -42px;
            }

            &:hover {

                &:before {
                    background-position: -104px -21px;
                }
            }
        }

        &--09 {

            &:before {
                width: 21px;
                height: 20px;
                top: calc(50% - 10px);
                background-position: -104px -42px;
            }

            &:hover {

                &:before {
                    background-position: -104px -62px;
                }
            }
        }

        &--10 {

            &:before {
                width: 21px;
                height: 17px;
                top: calc(50% - 8px);
                background-position: -84px -86px;
            }

            &:hover {

                &:before {
                    background-position: -42px -105px;
                }
            }
        }

        &--11 {

            &:before {
                width: 19px;
                height: 21px;
                top: calc(50% - 11px);
                background-position: -63px -44px;
            }

            &:hover {

                &:before {
                    background-position: -84px -65px;
                }
            }
        }

        &--12 {

            &:before {
                width: 21px;
                height: 21px;
                top: calc(50% - 11px);
                background-position: 0px -44px;
            }

            &:hover {

                &:before {
                    background-position: 0px -65px;
                }
            }
        }

        &--13 {

            &:before {
                width: 21px;
                height: 17px;
                top: calc(50% - 9px);
                background-position: 0px -105px;
            }

            &:hover {

                &:before {
                    background-position: -63px -105px;
                }
            }
        }

        &--03-1 {

            &:before {
                width: 21px;
                height: 21px;
                top: calc(50% - 11px);
                background-position: 0px 0px;
            }

            &:hover {

                &:before {
                    background-position: 0px -22px;
                }
            }
        }

        &--03-2 {

            &:before {
                width: 21px;
                height: 21px;
                top: calc(50% - 11px);
                background-position: -28px 0px;
            }

            &:hover {

                &:before {
                    background-position: -28px -22px;
                }
            }
        }

        &--03-3 {

            &:before {
                width: 21px;
                height: 21px;
                top: calc(50% - 11px);
                background-position: -56px 0px;
            }

            &:hover {

                &:before {
                    background-position: -56px -22px;
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {
        padding-left: 0;

        &__menu {

            &--child {
                z-index: 1500;
                opacity: 0;
                height: auto;
                max-height: inherit;
                visibility: hidden;
                padding: rem(10) 0;
                margin-top: rem(-32);
                left: rem(270);
                position: fixed;
                background: $brown;
                border-radius: 0 8px 8px 0;
                transition: .3s;

                .sidenav__link {
                    padding-left: rem(57);
                    white-space: nowrap;
                    padding-right: rem(30);

                    &:before {
                        left: rem(25);
                    }
                }
            }
        }

        &__link {
            padding-right: rem(10);

            i {
                transform: rotate(0deg);
            }
        }

        &__item {

            &:hover {

                .sidenav__menu--child {
                    opacity: 1;
                    visibility: visible;
                    transition: .3s;
                }
            }
        }
    }

    @include media-breakpoint-up(xxl) {
        font-size: rem(18);
        line-height: rem(24);

        &__menu {

            &--child {
                left: rem(320);
            }
        }

        &__link {
            height: rem(36);
            padding-left: rem(76);

            &:before {
                left: rem(42);
            }
        }
    }
}

.nav-child-open {
    overflow: visible !important;

    .simplebar-mask {
        overflow: visible !important;
    }

    .simplebar-height-auto-observer-wrapper {
        overflow: visible !important;
    }

    .simplebar-content-wrapper {
        overflow: visible !important;
    }
}

.mCSB_inside > .mCSB_container {
    margin-right: 0 !important;
}

.mCSB_scrollTools {
    width: 4px;
}


.sidebar {

    &__message {
        width: rem(70);
        height: rem(70);
        display: none;
        border: none;
        outline: none;

        &--callback {
            background: rgba(255,255,255,0.05) url("../img/icon__phone_call.webp") 50% 50% no-repeat;
        }

        &--whatsapp {
            background: rgba(255,255,255,0.95) url("../img/icon__whatsapp.webp") 50% 50% no-repeat;
        }
    }

    @include media-breakpoint-up(xl) {

        &__logo {
            transition: .3s;
        }

        &__contact {
            opacity: 1;
            visibility: visible;
            max-height: 244px;
            transition: .3s;
        }

        &__footer {
            transition: .3s;
        }
    }
}

.sidebar-close {

    @include media-breakpoint-up(xl) {

        .sidebar {

            &__scroll {
                width: rem(70);
                transition: .3s;
            }

            &__header {
                height: 76px;
                background: $white;
                border-bottom: 4px solid #d24a44;
            }

            &__logo {
                width: 60px;
                height: 24px;
                overflow: hidden;
            }

            &__contact {
                opacity: 0;
                max-height: 0;
                visibility: hidden;
                overflow: hidden;
            }

            &__info {
                opacity: 0;
                max-height: 0;
                visibility: hidden;
            }

            &__footer {
                display: none;
                transition: .3s;
            }

            &__message {
                display: block;
            }

            &__collapse {

                &:after {
                    width: 12px;
                    left: calc(50% - 8px);
                    transform: rotate(-45deg) translateY(6px);
                    transition: .3s;
                }

                &:before {
                    width: 12px;
                    left: calc(50% - 8px);
                    transform: rotate(45deg) translateY(-6px);
                    transition: .3s;
                }
            }
        }

        .sidenav {

            &__item {

            }

            > .sidenav__menu {

                > .sidenav__item {
                    border-bottom: 1px solid #776b6b;

                    > .sidenav__link {
                        height: rem(48);

                        > span {
                            opacity: 0;
                        }
                    }
                }
            }

            &__link {

            }

            &__menu--child {
                left: rem(70);
                margin-top: rem(-54);
            }
        }

        .root {
            padding-left: rem(70);
            transition: padding-left .3s;
        }
    }

    @include media-breakpoint-up(xxl) {

        .sidenav {

            &__link {
                padding-left: rem(56);

                &:before {
                    left: rem(25);
                }
            }
        }
    }
}

@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}

